# class Gem::Commands::BuildCommand

### Public Class Methods

new() click to toggle source
Calls superclass method `Gem::Command::new`

    # File lib/rubygems/commands/build_command.rb, line 7
    def initialize
      super 'build', 'Build a gem from a gemspec'

      add_option '--force', 'skip validation of the spec' do |value, options|
        options[:force] = true
      end
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/rubygems/commands/build_command.rb, line 42
    def execute
      gemspec = get_one_gem_name

      unless File.exist? gemspec
        gemspec += '.gemspec' if File.exist? gemspec + '.gemspec'
      end

      if File.exist? gemspec then
        spec = Gem::Specification.load gemspec

        if spec then
          Gem::Package.build spec, options[:force]
        else
          alert_error "Error loading gemspec. Aborting."
          terminate_interaction 1
        end
      else
        alert_error "Gemspec file not found: #{gemspec}"
        terminate_interaction 1
      end
    end